Name:           gtkmm30
Version:        3.22.2
Release:        4
Summary:        C++ Interfaces for GTK+ and GNOME
License:        LGPLv2+
URL:            https://www.gtkmm.org/en/
Source0:        http://download.gnome.org/sources/gtkmm/3.22/gtkmm-%{version}.tar.xz

BuildRequires:  gcc-c++ atkmm-devel >= 2.24.2 cairomm-devel >= 1.12.0 gdk-pixbuf2-devel >= 2.36.0
BuildRequires:  glibmm24-devel >= 2.50.0 gtk3-devel >= 3.23.0 pangomm-devel >= 2.39.0

Requires:       atkmm >= 2.24.2 cairomm >= 1.12.0 gdk-pixbuf2 >= 2.36.0
Requires:       glibmm24 >= 2.50.0 gtk3 >= 3.23.0 pangomm >= 2.39.0 glibmm24-doc

Provides:       %{name}-doc = %{version}-%{release}
Obsoletes:      %{name}-doc < %{version}-%{release}

%description
gtkmm is the official C++ interface for the popular GUI library GTK+. Highlights include typesafe
callbacks, and a comprehensive set of widgets that are easily extensible via inheritance. You can
create user interfaces either in code or with the Glade User Interface designer, using Gtk::Builder.
There's extensive documentation, including API reference and a tutorial.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This pacakge contains development files for %{name}.

%prep
%autosetup -n gtkmm-%{version}

%build
%configure

%disable_rpath

sed -i 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make_build

%install
%make_install
%delete_la_and_a

%files
%doc NEWS README
%license COPYING AUTHORS
%doc %{_docdir}/gtkmm-3.0/
%doc %{_datadir}/devhelp/
%doc demos/*
%{_libdir}/*.so.*

%files devel
%{_includedir}/g*kmm-3.0/
%{_libdir}/*.so
%{_libdir}/g*kmm-3.0/
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.22.2-4
- Package init
